## debian-edu-config 2.11.39

=== debian/changelog ===
debian-edu-config (2.11.39) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add bin/debian-edu-copy-pki targeting roaming workstations (Closes: #951071)
    The issues mentionend in the bug report are now cared for via policy files
    for Firefox ESR, Thunderbird and Chromium.
    The self signed Debian Edu server certificate has been the only problem left
    for roaming workstations (in case a program uses the PKI infrastructure).
  * Add man page share/man/man1/debian-edu-copy-pki.1.
  * Improve sbin/debian-edu-ltsp-install:
    - Add one more explanation to the script header, thanks Holger.
    - Replace condition for NFS export configuration in case of a combined
      server. This will fix the setup if the script is executed inside the
      Debian Installer.
  * share/man/man8/debian-edu-ltsp-install: Correct image type description.
  * sbin/debian-edu-pxeinstall: use the now available homeworld theme.
  * Workaround CUPS bug (#977198, cups service fails randomly after reboot):
    - Add override file share/debian-edu-config/cups.service.
    - Adjust cf3/cf.workarounds to activate the override file.
    This makes sure the cups service starts after the nslcd one (needed because
    the Debian Edu cups-files.conf refers to an LDAP group).

 -- Holger Levsen <holger@debian.org>  Sun, 13 Dec 2020 10:56:48 +0100

## debian-edu-config 2.11.40

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	update-ini-file \
	debian-edu-copy-pki

SPROGS = debian-edu-fsautoresize \
	debian-edu-ltsp-install \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cf3dir     = $(sysconfdir)/cfengine3/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
slbackupphpdir = $(sysconfdir)/slbackup-php
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
vardir     = /var
wwwdir     = /etc/debian-edu/www


CF3FILES = \
	cf.adduser \
	cf.apache2 \
	cf.cups \
	cf.desktop-networked \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.firefox-esr \
	cf.finalize \
	cf.grub \
	cf.chromium \
	cf.inetd \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.ldapscripts \
	cf.bind \
	cf.pxeinstall \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.sshd \
	cf.syslog \
	cf.workarounds \
	cf.xrdp \
	cf.icinga \
	edu.cf \
	promises.cf

# Files to install in /etc/
SYSCONFFILES = \
	apt/apt.conf.d/99-edu-prefer-firefox \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern \
	bind/db.subnet01.intern \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/09debian-edu-missing-home \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/55lightdm_gtk-greeter-rc \
	debian-edu/nightkill.conf \
	debian-edu/pxeinstall.conf \
	default/munin-node \
	default/ldap2zone \
	chromium/policies/managed/chromium-networked-prefs \
	chromium/policies/recommended/search_provider.json \
	cups/cupsd-debian-edu.conf \
	cups/cups-files-debian-edu.conf \
	cups/cups-browsed-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/autofs-reload \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
	dhcp/dhclient-exit-hooks.d/hostname \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	dovecot/local.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	exports.d/edu.exports \
	filesystems \
	firefox-esr/debian-edu.js \
	php/apache2/php-debian-edu.ini \
	insserv/overrides/ntp \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-debian-edu.conf \
	samba/smb-debian-edu.conf \
	slbackup-php/config.php \
	smbldap-tools/smbldap_bind.conf \
	smbldap-tools/smbldap.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default.conf \
	apache2/sites-available/debian-edu-ssl-default.conf \
	apache2/conf-available/debian-edu-config-doc.conf \
	apache2/include/debian-edu-ldapauth.inc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf

SYSCONFSCRIPTS = \
	mklocaluser.d/20-debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
	X11/Xsession-debian-edu

SCHEMAS = \
	autofs-debian-edu.schema \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	firstuser.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldap2netgroup \
	ldap-debian-edu-install \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.da \
	index.html.de \
	index.html.en \
	index.html.es-es \
	index.html.fr \
	index.html.id \
	index.html.it \
	index.html.ja \
	index.html.nb-no \
	index.html.nl \
	index.html.pt \
	index.html.pt-br \
	index.html.ro \
	index.html.ru \
	index.html.zh-tw \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

LIBFILES = \
	thunderbird/distribution/policies.json \

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(libdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$prog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

	set -e ; for cf3 in $(CF3FILES); do \
		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/clean-up-host-keytabs \
		share/debian-edu-config/tools/configure-edu-gateway \
		share/debian-edu-config/tools/create-debian-edu-certs \
		share/debian-edu-config/tools/create-server-cert \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/setup-cfengine3 \
		share/debian-edu-config/tools/debian-edu-bless \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-modify-host \
		share/debian-edu-config/tools/gosa-remove-host \
		share/debian-edu-config/tools/gosa-lock-user \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/gosa-unlock-user \
		share/debian-edu-config/tools/firefox-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap2bind-updatezonelist \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldappasswd2 \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/package-disk-usage \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \
		share/debian-edu-config/tools/pxe-addfirmware \
		share/debian-edu-config/tools/run-at-firstboot \
		share/debian-edu-config/tools/setup-ad-client \
		share/debian-edu-config/tools/setup-roaming \
		share/debian-edu-config/tools/show-welcome-webpage \
		share/debian-edu-config/tools/sssd-generate-config \
		share/debian-edu-config/tools/squid-update-cachedir \
		share/debian-edu-config/tools/subnet-change \
		share/debian-edu-config/tools/update-cert-dbs \
		share/debian-edu-config/tools/update-firefox-homepage \
		share/debian-edu-config/tools/update-chromium-homepage \
		share/debian-edu-config/tools/update-proxy-from-wpad \
		share/debian-edu-config/tools/wpad-extract \
		share/debian-edu-config/tools/ldap-server-getcert \
		share/debian-edu-config/tools/exim4-create-environment \
		share/debian-edu-config/tools/edu-ldap-from-scratch \
		share/debian-edu-config/tools/edu-icinga-setup \
		share/debian-edu-config/tools/create-user-nssdb \
		share/debian-edu-config/tools/copy-host-keytab \
		share/debian-edu-config/tools/improve-desktop-l10n \
		share/debian-edu-config/tools/install-task-pkgs \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

	set -e ; for f in \
		share/debian-edu-config/avahi.smb.service \
		share/debian-edu-config/cups.service \
		share/debian-edu-config/rsyslog-collector \
		share/debian-edu-config/smb.conf.edu-site \
		share/debian-edu-config/firefox-networked-prefs.js \
		share/debian-edu-config/squid.conf \
		share/debian-edu-config/ssl.cnf \
		share/debian-edu-config/sslCA.cnf \
		share/debian-edu-config/v3.cnf \
		share/debian-edu-config/v3CA.cnf \
		share/debian-edu-config/debian-edu.addmachine.template \
		share/debian-edu-config/debian-edu.ldapscripts.passwd \
		share/debian-edu-config/debian-edu-timesyncd.conf \
		share/debian-edu-config/passwords_stub.dat \
		share/debian-edu-config/gosa.conf.template \
		share/debian-edu-config/lightdm-gtk-greeter.conf \
		share/debian-edu-config/sudo-ldap.conf \
		share/pam-configs/edu-group \
		share/pam-configs/edu-umask \
		share/perl5/Debian/Edu.pm \
		share/debian-edu-config/pam-config-ccreds-check \
		share/debian-edu-config/pam-config-ccreds-save \
		share/debian-edu-config/pam-config-mkhomedir \
		share/debian-edu-config/pam-config-nopwdchange \
		share/debian-edu-config/pam-nopwdchange.py \
		share/firefox-esr/distribution/policies.json \
		share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override \
		share/glib-2.0/schemas/31_debian-edu+mate.gschema.override \
		share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override  \
		share/mate-panel/layouts/debian-edu-mate.layout \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

# Using manpages autodetection : 
	set -e ; for program in $(LDAPPROGRAMS) ; do \
		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
		if [ -e "share/man/man1/$$program.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
		fi \
	done
	set -e ; for schema in $(SCHEMAS) ; do \
		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
	done
	set -e ; for ldif in $(LDIFS) ; do \
		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
	done

	set -e ; for file in $(WWWFILES) ; do \
		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
	done

install-testsuite:
	set -e ; for f in \
		share/debian-edu-config/testsuite-lib.sh \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \

=== debian/changelog ===
debian-edu-config (2.11.40) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework sssd configuration, thanks to Mike Gabriel. (Closes: #977462)
    - share/debian-edu-config/tools/sssd-generate-config:
      Cleanup the included HERE documents (configuration snippets) from entries
      that are either default ones (like excluding the root user), obsolete, no
      longer in use or non-existent; also correct the wrong AD related one.
      As systemd is used, sssd services are now activated via sockets. The
      'service' configuration stanza needs to be empty to avoid starting
      permanently running processes. this also aviods spamming syslog with error
      messages.
    - Adjust the static etc/sssd/sssd-debian-edu.conf file accordingly.
  * Adjust sbin/debian-edu-ltsp-install:
    - Improve IP address determination for the dedicated LTSP network.
    - Add nameserver stanza to /etc/network/interfaces.
  * share/debian-edu-config/d-i/finish-install: Only run debian-edu-ltsp-install
    in case of a combined server. Leave it up to the local admin what type of
    LTSP clients should be supported. (Still needs to be documented.)
  * share/debian-edu-config/cups.service: Cleanup from superfluous entries,
    thanks to Didier 'OdyX' Raboud.
  * cf3/cf.workarounds: Create missing GOsa² related directory to avoid
    confusion in case an admin is setting up a system of type printer.

 -- Holger Levsen <holger@debian.org>  Sun, 20 Dec 2020 09:47:45 +0100

## debian-edu-config 2.11.42

=== Makefile ===
--- 
+++ 
@@ -298,6 +298,7 @@
 		share/debian-edu-config/tools/run-at-firstboot \
 		share/debian-edu-config/tools/setup-ad-client \
 		share/debian-edu-config/tools/setup-roaming \
+		share/debian-edu-config/tools/setup-freeradius-server \
 		share/debian-edu-config/tools/show-welcome-webpage \
 		share/debian-edu-config/tools/sssd-generate-config \
 		share/debian-edu-config/tools/squid-update-cachedir \
@@ -323,7 +324,6 @@
 
 	set -e ; for f in \
 		share/debian-edu-config/avahi.smb.service \
-		share/debian-edu-config/cups.service \
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/smb.conf.edu-site \
 		share/debian-edu-config/firefox-networked-prefs.js \
@@ -336,6 +336,10 @@
 		share/debian-edu-config/debian-edu.ldapscripts.passwd \
 		share/debian-edu-config/debian-edu-timesyncd.conf \
 		share/debian-edu-config/passwords_stub.dat \
+		share/debian-edu-config/freeradius-authorize \
+		share/debian-edu-config/freeradius-clients.conf \
+		share/debian-edu-config/freeradius-eap.conf \
+		share/debian-edu-config/freeradius-mschap.conf \
 		share/debian-edu-config/gosa.conf.template \
 		share/debian-edu-config/lightdm-gtk-greeter.conf \
 		share/debian-edu-config/sudo-ldap.conf \
@@ -371,12 +375,3 @@
 		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
 	done
 
-	set -e ; for file in $(WWWFILES) ; do \
-		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
-	done
-
-install-testsuite:
-	set -e ; for f in \
-		share/debian-edu-config/testsuite-lib.sh \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \

=== debian/changelog ===
debian-edu-config (2.11.42) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/debian-edu-pxeinstall: Use the Homeworld theme also for syslinux.
  * Drop CUPS related workaround now that bug #977198 has been fixed:
    - Remove share/debian-edu-config/cups.service.
    - Adjust Makefile and cf3/cf.workarounds.
    - Add code to debian/debian-edu-config.postinst to remove systemd override
      directory and file. Thanks to Petter Reinholdtsen for the hint.
  * Adjust testsuite/{cups,dnsd,ldap-client,ntp,samba} to reflect recent changes
    to related services.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 13:59:08 +0100

debian-edu-config (2.11.41) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add script share/debian-edu-config/tools/setup-freeradius-server. This tool
    allows one to setup freeRADIUS with a basic configuration suited for the
    Debian Edu network after installing required packages (winbind, freeradius).
    (Still needs to be documented in the manual).
  * Add example configuration files used by the 'setup-freeradius-server' tool:
    - share/debian-edu-config/freeradius-authorize (user related configuration).
    - share/debian-edu-config/freeradius-clients.conf (AP configuration).
    - share/debian-edu-config/freeradius-eap.conf (TLS configuration).
    - share/debian-edu-config/freeradius-mschap.conf (ntlm_auth configuration).
  * cf3/cf.{grub,pxeinstall}: Only run commands inside Debian Installer to avoid
    superfluous execution if cf-agent is called manually.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 14:43:52 +0100

## debian-edu-config 2.11.43

=== debian/changelog ===
debian-edu-config (2.11.43) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Delay clearing the debconf database from passwords until the first user's
      Samba account has been created.
  * share/debian-edu-config/tools/edu-icinga-setup:
    - Cope with recent mariadb-server package changes. Some leftover occurencies
      of 'mysql' have been replaced with 'mariadb'.
  * sbin/debian-edu-pxeinstall:
    - Determine the Debian Edu artwork theme via the desktop-base active theme
      alternative instead of hardcoding it.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 12:42:49 +0100

## debian-edu-config 2.11.46

=== debian/changelog ===
debian-edu-config (2.11.46) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework DHCP setup. Editing /etc/default/isc-dhcp-server can be dropped this
    way and the pitfall due to bug #971275 is also avoided:
    - Add share/debian-edu-config/isc-dhcp-server.service and
      share/debian-edu-config/isc-dhcp-server.service.eth1_only. These files
      are used for conditional configuration addressing three cases: plain main
      server, combined (main and LTSP) server, and separate LTSP server.
    - Adjust cf3/cf.dhcpserver accordingly.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Jan 2021 17:47:02 +0100

debian-edu-config (2.11.45) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Cope with issues found during a Buster main server upgrade.
    - cf3/cf.squid: Copy additional configuration file instead of symlinking it.
    - postinst: Add code to remove symlinks that point to already removed files
      (previously used for workarounds).

  [ Holger Levsen ]
  * postinst: use 'rm -f' instead 'rm -rf' where appropriate.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 16:25:46 +0100

debian-edu-config (2.11.44) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve freeRADIUS server setup:
    - etc/samba/smb-debian-edu.conf: Use TJENER instead of SKOLELINUX as
      workgroup name to match the Samba server 'standalone' role; this way
      TJENER will be used as domain name for freeRADIUS automatically. As an
      additional benefit the wbinfo command is working to check users.
    - Move the 'ntlm auth' entry from share/debian-edu-config/smb.conf.edu-site
      to etc/samba/smb-debian-edu.conf (and enable it) to avoid a possible
      pitfall in case manual adjustment is forgotten.
    - share/debian-edu-config/tools/setup-freeradius-server:
      + Configure EAP-TTLS/PAP authentication (via Kerberos) in addition to
        PEAP-MSCHAPV2 to provide EAP methods for various end user devices.
      + Keep all configuration adjustments inside the tool itself so that it can
        be used standalone.
      + Add/improve inline documentation.
    - Drop no longer needed files (share/debian-edu-config/freeradius-*), adjust
      Makefile and debian/debian-edu-config.postinst accordingly.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Jan 2021 12:35:54 +0100

## debian-edu-config 2.11.47

=== Makefile ===
--- 
+++ 
@@ -336,13 +336,11 @@
 		share/debian-edu-config/debian-edu.ldapscripts.passwd \
 		share/debian-edu-config/debian-edu-timesyncd.conf \
 		share/debian-edu-config/passwords_stub.dat \
-		share/debian-edu-config/freeradius-authorize \
-		share/debian-edu-config/freeradius-clients.conf \
-		share/debian-edu-config/freeradius-eap.conf \
-		share/debian-edu-config/freeradius-mschap.conf \
 		share/debian-edu-config/gosa.conf.template \
 		share/debian-edu-config/lightdm-gtk-greeter.conf \
 		share/debian-edu-config/sudo-ldap.conf \
+		share/debian-edu-config/isc-dhcp-server.service \
+		share/debian-edu-config/isc-dhcp-server.service.eth1_only \
 		share/pam-configs/edu-group \
 		share/pam-configs/edu-umask \
 		share/perl5/Debian/Edu.pm \
@@ -375,3 +373,7 @@
 		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
 	done
 
+	set -e ; for file in $(WWWFILES) ; do \
+		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
+	done
+

=== debian/changelog ===
debian-edu-config (2.11.47) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Cope with issues found during recent installations.
    - share/debian-edu-config/tools/gosa-sync: Add TERM=linux. Without this
      explicit setting a password can't be set or modified any longer.
    - share/debian-edu-config/d-i/finish-install: Make script more robust to
      avoid a totally broken installation in case modprobe fails inside target.
    - cf3/cf.dhcpserver: Correct class statement for several profile cases.
    - share/debian-edu-config/isc-dhcp-server.service and
      share/debian-edu-config/isc-dhcp-server.service.eth1: Make sure the
      slapd.service is available before the DHCP server tries to fetch the
      configuration from LDAP.

 -- Holger Levsen <holger@debian.org>  Sun, 31 Jan 2021 18:39:57 +0100

## debian-edu-config 2.11.48

=== debian/changelog ===
debian-edu-config (2.11.48) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postinst: Care for a proper /etc/network/interfaces
    file in case of a plain main server.
  * share/debian-edu-config/tools/configure-edu-gateway: Adjust execution
    condition to reflect recent changes, improve feedback for users.
  * sbin/debian-edu-ltsp-install: Make it easier to configure the iPXE menu and
    to describe the needed steps in the manual.
    - Improve /etc/ltsp/ltsp.conf content (here document).
    - Rework Debian Edu specifíc iPXE menu setup.
  * Workaround X2Go bug #890517 to prevent killer from kicking out users:
    - Add share/debian-edu-config/killer.cron file. The modified cron job will
      only run if no X2Go user is logged in on the related LTSP-Server.
    - Add code to cf3/cf.workarounds to replace the existing killer cron job
      on systems with LTSP-Server profile.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Feb 2021 11:45:44 +0100

## debian-edu-config 2.11.50

=== Makefile ===
--- 
+++ 
@@ -341,6 +341,7 @@
 		share/debian-edu-config/sudo-ldap.conf \
 		share/debian-edu-config/isc-dhcp-server.service \
 		share/debian-edu-config/isc-dhcp-server.service.eth1_only \
+		share/debian-edu-config/killer.cron \
 		share/pam-configs/edu-group \
 		share/pam-configs/edu-umask \
 		share/perl5/Debian/Edu.pm \
@@ -374,6 +375,3 @@
 	done
 
 	set -e ; for file in $(WWWFILES) ; do \
-		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
-	done
-

=== debian/changelog ===
debian-edu-config (2.11.50) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postinst: Adjust to really fix bug ##982448.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Feb 2021 15:39:04 +0100

debian-edu-config (2.11.49) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postinst: Adjust condition. Closes: #982448.
    - Avoid upgrade failure in case /etc/debian-edu/config happens to be empty.
  * sbin/debian-edu-pxeinstall: Copy the debian-installer directories (d-i-n-i
    packages) instead of symlinking them. This allows tftpd-hpa to access them.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Feb 2021 11:00:13 +0100

## debian-edu-config 2.11.54

=== debian/changelog ===
debian-edu-config (2.11.54) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/glib-2.0/schemas/31_debian-edu+mate.gschema.override: Set existing
    mate-panel layout file for the panel to show up. Closes: #986448.

 -- Holger Levsen <holger@debian.org>  Wed, 07 Apr 2021 01:03:15 +0200

debian-edu-config (2.11.53) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve GOsa² hooks: explicitly create Samba account using gosa-create
    (before changing the password via gosa-sync). Closes: #986122.
    - tools/gosa-create: Add code to create the user's Samba account.
    - tools/gosa-sync: Adjust log message accordingly.

 -- Holger Levsen <holger@debian.org>  Wed, 31 Mar 2021 10:44:04 +0200

debian-edu-config (2.11.52) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust internal web page related files. (Closes: #985902)
    - www/index.html.en: Use pt-pt for European Portuguese, adjust PO files,
      generate language specific index files.
    - www/{es-es,nb-no,pt-br}.po: Fix blends page link and related translation.

 -- Holger Levsen <holger@debian.org>  Sun, 28 Mar 2021 11:04:27 +0200

debian-edu-config (2.11.51) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * cf3/cf.dhcpserver: Make sure the dhcpd.leases file exists. Closes: #984596.
    (Without a leases file, isc-dhcp-server remains in starting stage forever.)

 -- Holger Levsen <holger@debian.org>  Fri, 05 Mar 2021 19:58:03 +0100

## debian-edu-config 2.11.56

=== Makefile ===
--- 
+++ 
@@ -197,7 +197,7 @@
 	index.html.ja \
 	index.html.nb-no \
 	index.html.nl \
-	index.html.pt \
+	index.html.pt-pt \
 	index.html.pt-br \
 	index.html.ro \
 	index.html.ru \

=== debian/changelog ===
debian-edu-config (2.11.56) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust workaround for isc-dhcp-server-ldap bug #971275. (Closes: #989340)
    - share/debian-edu-config/isc-dhcp-server.{service,service.eth1_only}:
      Use ExecStartPre command inspired by the isc-dhcp-server init script
      instead of a sleep command.
  * Adjust Exim configuration on client systems. (Closes: #989338)
    - cf3/cf.exim:
      Use exim-ldap-client-v4.conf file as exim4.conf on client machines instead
      of preseeded configuration. This way sending system emails to the main
      server is working again after the exim4 4.94 changes.
  * Adjust sbin/debian-edu-ltsp-install. (Closes: #989342)
    - Drop line containing the cp command (/var/cache/apt doesn't contain .bin
      files in all use cases and the benefit is minimal if they exist; also, the
      pkgcache.bin and srcpkgcache.bin files might contain outdated data).
    - Use the BD ISO image to setup X2Go thin client support only if the script
      is run inside the Debian Installer environment. There are too many ways
      to install a combined server (with or without Internet connection, with
      or without adjusting the sources list, with or without running apt update)
      to cover all these cases.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Jun 2021 00:06:13 +0200

debian-edu-config (2.11.55) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Create first user's Samba account at first boot of a main server when all
    required information is available via LDAP and debconf.  Closes: #987632.
    - Adjust share/debian-edu-config/tools/kerberos-kdc-init to don't clear the
      required password from debconf and let tools/run-at-firstboot create the
      Samba account.
  * Adjust sbin/debian-edu-ltsp-install: Closes: #987633, #987634.
    - Fix LTSP Initrd specific path component construction in case a 32-bit
      combined server is installed.
    - Provide a full name for diskless workstation to show up in the iPXE menu.
    - Use BD ISO image as mirror to enable complete offline installations of a
      combined server.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Apr 2021 15:27:17 +0200

## debian-edu-config 2.11.56+deb11u1

=== debian/changelog ===
debian-edu-config (2.11.56+deb11u1) bullseye; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust sbin/debian-edu-ltsp-install. (Closes: #993935)
    Thanks to Dominik George for spotting and reporting the issue.
    - Extend main server related exclude list.
    - Add slapd and xrdp-sesman to the list of masked services.
    - Ensure home directory access after above changes.

 -- Holger Levsen <holger@debian.org>  Tue, 28 Sep 2021 16:32:20 +0200

## debian-edu-config 2.11.56+deb11u2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,10 @@
 	debian-edu-copy-pki
 
 SPROGS = debian-edu-fsautoresize \
+	debian-edu-ltsp-chroot \
 	debian-edu-ltsp-install \
+	debian-edu-ltsp-initrd \
+	debian-edu-ltsp-ipxe \
 	debian-edu-pxeinstall \
 	debian-edu-restart-services \
 	debian-edu-test-install \
@@ -285,6 +288,7 @@
 		share/debian-edu-config/tools/ldapdump.sh \
 		share/debian-edu-config/tools/ldappasswd2 \
 		share/debian-edu-config/tools/locate-syslog-collector \
+		share/debian-edu-config/tools/ltsp-addfirmware \
 		share/debian-edu-config/tools/logoutkill.sh \
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
@@ -371,7 +375,3 @@
 		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
 	done
 	set -e ; for ldif in $(LDIFS) ; do \
-		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
-	done
-
-	set -e ; for file in $(WWWFILES) ; do \

=== debian/changelog ===
debian-edu-config (2.11.56+deb11u2) bullseye; urgency=medium

  [ Mike Gabriel ]
  * share/debian-edu-config/tools/pxe-addfirmware: Fix TFTP server path
    (/var/lib/tftpboot-> /srv/tftp). (Closes: #995610).

  [ Wolfgang Schweer ]
  * Add real support for LTSP chroot setup and maintenance. (Closes: #996103).
    - Adjust existing scripts and manual page for improved LTSP chroot setup:
      + sbin/debian-edu-ltsp-install: Add LTSP diskless client chroot creation,
        use uniform locations for X2Go thin clients and diskless workstations,
        ensure sitesummary-client setup and configuration inside chroots, care
        for proper mount and umount operation, add xrdp-sesman to the list of
        masked services for LTSP clients, make sure all kernels are updated,
        adjust the ltsp.conf file content to match the changes, replace last
        edit date with version number, adjust usage information accordingly.
      + share/debian-edu-config/tools/run-at-firstboot: Care for the changed
        'debian-edu-ltsp-install' default options to make sure combined server
        installations have a generated SquashFS image file just like before.
      + share/man/man8/debian-edu-ltsp-install.8: Update to reflect the changes.
    - Provide maintenance related scripts and manual pages:
      + sbin/debian-edu-ltsp-chroot: Tool to make LTSP chroot maintenance easy.
      + sbin/debian-edu-ltsp-initrd: Wrapper script for 'ltsp initrd' command.
        It makes sure that a use case specific initrd (/srv/tftp/ltsp/ltsp.img)
        is generated and moved to the right location.
      + sbin/debian-edu-ltsp-ipxe: Wrapper script for 'ltsp ipxe' command. It
        cares for a Debian Edu specific /srv/tftp/ltsp/ltsp.ipxe content.
      + share/debian-edu-config/tools/ltsp-addfirmware: Install firmware in LTSP
        chroots in case clients won't work otherwise. (Adjusted tool from Buster
        re-added to the binary package.)
      + share/man/man8/debian-edu-ltsp-chroot.8
      + share/man/man8/debian-edu-ltsp-initrd.8
      + share/man/man8/debian-edu-ltsp-ipxe.8
  * Adjust Makefile to reflect the changes.

 -- Holger Levsen <holger@debian.org>  Sun, 28 Nov 2021 16:10:50 +0100

## debian-edu-config 2.11.56+deb11u3

=== Makefile ===
--- 
+++ 
@@ -241,6 +241,7 @@
 	done
 
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
+	$(INSTALL_DATA) README.public_html_with_PHP-CGI+suExec.md $(DESTDIR)$(docdir)/README.public_html_with_PHP-CGI+suExec.md
 
 	set -e ; for cf3 in $(CF3FILES); do \
 		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
@@ -372,6 +373,3 @@
 		fi \
 	done
 	set -e ; for schema in $(SCHEMAS) ; do \
-		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
-	done
-	set -e ; for ldif in $(LDIFS) ; do \

=== debian/changelog ===
debian-edu-config (2.11.56+deb11u3) bullseye-security; urgency=medium

  * etc/apache2/mods-available/debian-edu-userdir.conf:
    - White-space cleanup (tabs and spaces mixed).
    - CVE-2021-20001: Disable built-in PHP engine.
    - Add warning to not re-enable PHP interpretation in user dirs (with
      reference to our README).
  * README.public_html_with_PHP-CGI+suExec.md:
    - Provide documentation on how to enable suExec support in Apache2 user
      directories (i.e. ~/public_html).
  * debian/NEWS:
    + Add file, inform about PHP being disabled in Apache2 user directories.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Feb 2022 13:19:51 +0100

## debian-edu-config 2.11.56+deb11u4

=== Makefile ===
--- 
+++ 
@@ -309,6 +309,7 @@
 		share/debian-edu-config/tools/squid-update-cachedir \
 		share/debian-edu-config/tools/subnet-change \
 		share/debian-edu-config/tools/update-cert-dbs \
+		share/debian-edu-config/tools/update-dlw-krb5-keytabs \
 		share/debian-edu-config/tools/update-firefox-homepage \
 		share/debian-edu-config/tools/update-chromium-homepage \
 		share/debian-edu-config/tools/update-proxy-from-wpad \
@@ -372,4 +373,3 @@
 		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
 		fi \
 	done
-	set -e ; for schema in $(SCHEMAS) ; do \

=== debian/changelog ===
debian-edu-config (2.11.56+deb11u4) bullseye; urgency=medium

  [ Wolfgang Schweer ]
  * etc/exim4/exim-ldap-server-v4.conf: Accept incoming mail from internal
    network sent to root@<mynetwork-names>. (Closes: #1003727).
  * Use mktemp instead of deprecated tempfile, adjust:
    - etc/X11/Xsession-debian-edu
    - sbin/debian-edu-update-netblock
    - share/debian-edu-config/tools/gosa-sync
    - testsuite/postoffice
    (Closes: #1005352).

  [ Mike Gabriel ]
  * share/d-e-c/tools/gosa-modify-host: Only create Kerberos host and service
    principals if they don't yet exist. (Closes: #1002014).
  * share/d-e-c/tools/gosa-create-host: Fix copy+paste flaw in comment.
  * share/debian-edu-config/tools/setup-freeradius-server: Fix integer
    comparison in run-by-root check. Script was not executable fully (not even
    as root).
  * debian/debian-edu-config.fetch-ldap-cert: Drop retrieval of
    Debian-Edu_rootCA from this script. This now is the task of the
    fetch-rootca-cert script. (Closes: #971780).
  * debian/debian-edu-config.fetch-rootca-cert: Ensure proper symlinking of
    Debian-Edu_rootCA.crt in /usr/local/share/ca-certificates/ to
    Debian-Edu_rootCA.crt in /etc/ssl/ca-certificates. Forced symlinking is
    required, because earlier versions of the fetch-ldap-cert init script put
    Debian-Edu_rootCA.crt into /etc/ssl/ca-certificates/ as a file. Forced
    symlinking replaces files by the wanted symlink. The -n option (no-
    dereference) is required to make sure we don't follow any already existing
    symlink. (This relates to #971780).
  * share/debian-edu-config/tools/update-proxy-from-wpad:
    - Fix typo (wrong protocol) in APT proxy config creation.
    - Create a Debian Edu specific proxy configuration in /etc/apt/apt.conf.d/
      named 03debian-edu-config rather than meddling with /etc/apt/apt.conf
      directly. Clean up any earlier meddling from apt.conf, as well. (Closes:
      #1003560).
  * share/debian-edu-config/tools/{update-proxy-from-wpad,wpad-extra}:
    - Don't fail if proxy update is not possible, only send warnings to stderr
      and syslog. Don't source wpad-extra script, execute it instead and capture
      stdout. (Closes: #1008067).
  * sbin/update-hostname-from-ip:
    - Simply if-then-else-clauses, reduce number of exit calls, don't exit with
      non-zero exitcode. Improve syslog messages if things fail. (Closes:
      #1006604).
  * share/debian-edu-config/tools/setup-roaming: Assure libsss-sudo is installed
    on Roaming Workstation. (Closes: #1004605).
  * share/debian-edu-config/tools/gosa-remove: Capture removals of GOsa² user
    templates and ignore them. (Closes: #815042).
  * ldap-schemas/: Update schema files from Debian's latest GOsa² list of
    schemas.
  * share/debian-edu-config/tools/clean-up-host-keytabs: Don't fail
    on Kerberos principal removal.
  * etc/cups/cups-browsed-debian-edu.conf:
    - Let TJENER's print queues appear on Debian Edu clients, use same
      print queue names on clients as on TJENER. (Closes: #1005841).
  * sbin/debian-edu-pxeinstall:
    - Don't append 'ipappend 2' to the kernel boot cmdline anymore as it
      confuses systemd when booting into the installed system. This resolves
      the graphical.target not coming up on Debian Edu workstations that got
      installed via the PXE/network based Debian Installer method. (Closes:
      #1006362).
    - Silence stderr output if the artwork theme lacks a plymouth subfolder.
      This can be silently ignored and should not trouble Debian Edu admins.
  * Support krb5i on Diskless Workstations (aka LTSP FAT Clients):
    - ldap-bootstrap/netgroup.ldif: Add diskless-workstation-hosts NIS netgroup
      during LDAP bootstrap.
    - debian/debian-edu-config.{postinst,postrm}: Create non-privileged
      debian-edu system user account on Debian Edu mainserver (for distribution
      of host keytabs to diskless workstations aka LTSP fat clients).
    - share/debian-edu-config/tools/: Add update-dlw-krb5-keytabs script and
      call it (with delay) from gosa-modify-host hook script. (Closes: #613167,
      #1002018).
  * Move /etc/debian-edu/host-keytabs/* to /var/lib/debian-edu/host-keytabs/
    and replace directory /etc/debian-edu/host-keytabs by a symlink. (Closes:
    #1002019).
  * share/debian-edu-config/squid.conf:
    - Prefer DNSv4 lookups over DNSv6. Debian Edu does not yet fully support
      IPv6 and many schools still use IPv4 primarily. This gives a great
      performance boost to squid installations if IPv6 internet is not fully
      available for whatever reason. (Closes: #1006375).
  * share/debian-edu-config/tools/list-gosa-systems:
    - Drop immature list-gosa-systems script again that got sneaked in via
      upload of 2.11.56+deb11u3. We apologize for the noise.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Mar 2022 12:28:00 +0100

=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Wolfgang Schweer <wschweer@arcor.de>,
           Dominik George <natureshadow@debian.org>,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: po-debconf,
                     po4a,
                     help2man,
                     libfilesys-df-perl
Homepage: https://blends.debian.org/edu
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-config
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-config.git

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends},
         lsb-base,
         bind9-host,
         cfengine3,
         debconf-utils,
         debian-edu-artwork,
         e2fsprogs,
         education-tasks,
         fping,
         gnutls-bin,
         isenkram-cli,
         ldap-utils,
         ldapscripts,
         libconfig-inifiles-perl,
         libfilesys-df-perl,
         libglib2.0-bin,
         libhtml-fromtext-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libnet-netmask-perl,
         libnss3-tools,
         libpacparser1,
         libpam-python,
         libproxy1-plugin-kconfig,
         libproxy1-plugin-webkit,
         libproxy1-plugin-networkmanager,
         libterm-readkey-perl,
         libtext-unaccent-perl,
         lockfile-progs,
         lsb-release,
         mime-support,
         net-tools,
         ng-utils,
         openssl,
         patch,
         python3,
         python3-notify2,
         ssl-cert,
         swaks,
         tftp-hpa | tftp,
         uuid,
         wget,
Recommends: binutils,
            libnotify-bin,
            lsof,
            memtest86+,
            resolvconf,
            syslinux,
Description: Configuration files for Debian Edu (Skolelinux) systems
 Installs cfengine config files to be used by the machines set up as part
 of the Debian Edu (Skolelinux) network. Debian Edu is a Debian Pure Blend.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/debian-edu-config

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

override_dh_installinit:
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start
	dh_installinit --init-script fetch-rootca-cert -r --no-start
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script firefox-ldapconf -r --no-start
	dh_installinit --init-script chromium-ldapconf -r --no-start
	dh_installinit --init-script enable-nat --no-start

override_dh_installman:
	dh_installman
	help2man -N -n "ldap-add-host-to-netgroup - Adds a host as a member in the given netgroup" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-host-to-netgroup \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-host-to-netgroup.1
	help2man -N -n "ldap-add-user-to-group - Adds a user as a member in the given group" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-user-to-group \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-user-to-group.1
	help2man -N -n "ldap-createuser-krb5 - Create a user and configure its kerberos principal" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-createuser-krb5 \
		> debian/debian-edu-config/usr/share/man/man1/ldap-createuser-krb5.1
